@charset "UTF-8";
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  font-size: 100%;
  vertical-align: baseline;
}

html {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

caption, th, td {
  text-align: left;
  font-weight: normal;
  vertical-align: middle;
}

q, blockquote {
  quotes: none;
}
q:before, q:after, blockquote:before, blockquote:after {
  content: "";
  content: none;
}

a img {
  border: none;
}

article, aside, details, figcaption, figure, footer, header, hgroup, main, menu, nav, section, summary {
  display: block;
}

/*
variable
****************************/
html {
  font-size: 625%;
}

body {
  font-family: "PingFangTC-Regular", DroidSansFallback, "Noto Sans TC", ヒラギノ角ゴ Pro, Hiragino Kaku Gothic Pro, Microsoft JhengHei;
  background: #efeff1;
  font-size: .16rem;
  /* 16px/100=0.16 */
}

h1, h2, h3, h4, h5, h6, input, .btn {
  font-family: "PingFangTC-Regular", DroidSansFallback, "Noto Sans TC", ヒラギノ角ゴ Pro, Hiragino Kaku Gothic Pro, Microsoft JhengHei;
}

h1 {
  font-size: .36rem;
}

h2 {
  font-size: .3rem;
}

h3 {
  font-size: .24rem;
}

h4 {
  font-size: .21rem;
}

h5 {
  font-size: .18rem;
}

h6 {
  font-size: .16rem;
}

p {
  font-size: .15rem;
}

#demo-device-ios {
  width: 467px;
  height: 800px;
  background: center top no-repeat url(../images/devices-sprite.jpg);
  background-size: 467px;
  margin: 60px auto 0;
}

#demo-device-ios iframe {
  margin-top: 85px;
  width: 320px;
  height: 568px;
  margin-left: 75px;
}

/*
首頁
***************************/
.header {
  position: relative;
}
.header .ui-navbar {
  border-radius: 0;
  margin-bottom: 0;
  border: 0;
  background: #00976d;
  /* Old browsers */
  background: -moz-linear-gradient(top, #00976d 0%, #009bd0 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #00976d), color-stop(100%, #009bd0));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #00976d 0%, #009bd0 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #00976d 0%, #009bd0 100%);
  /* Opera 11.10+ */
  background: linear-gradient(to bottom, #00976d 0%, #009bd0 100%);
  /* W3C */
  border-bottom: 0;
  z-index: 99;
  width: 100%;
  height: .5rem;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 999;
}
.header .ui-navbar.navbar h4 {
  height: .5rem;
  padding: 0;
  position: absolute;
  left: 48%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  color: #fff;
  font-size: .18rem;
  line-height: .5rem;
  width: 70%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  text-align: center;
}

.w-marquee {
  width: 100%;
  position: fixed;
  top: 50px;
  z-index: 999;
}

.main {
  position: relative;
  padding-top: .5rem;
  padding-bottom: .6rem;
}
.main .tab-wrap .tab-menu {
  top: 50px;
}

.pathmain {
  position: relative;
  padding-top: .5rem;
}
.pathmain .tab-wrap .tab-menu {
  top: 50px;
}

.main-index {
  position: relative;
  padding-top: .7rem;
  padding-bottom: .6rem;
}
.main-index .tabs-content {
  padding-top: 0 !important;
}

/*
footer下頁籤
*****************************/
.footer-fixed {
  display: block;
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 10;
}
.footer-fixed .footer-tab {
  display: flex;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  -webkit-box-direction: normal;
  -webkit-box-orient: horizontal;
  height: .45rem;
  border-top: 1px solid #eee;
  bottom: 0;
  width: 100%;
  background: #f7f7f7;
  border-top: 1px solid #e7e7e7;
}
.footer-fixed .footer-tab .tabs {
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -moz-box-flex: 1;
  -moz-flex: 1;
  -ms-flex: 1;
  flex: 1;
  display: block;
  overflow: hidden;
}
.footer-fixed .footer-tab .tabs .tab-item {
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -moz-box-flex: 1;
  -moz-flex: 1;
  -ms-flex: 1;
  flex: 1;
  display: block;
  overflow: hidden;
  padding-top: .03rem;
  padding-bottom: .03rem;
  color: inherit;
  text-align: center;
  font-size: .12rem;
  color: #666;
}
.footer-fixed .footer-tab .tabs .tab-item i {
  font-weight: 600;
  height: .27rem;
  line-height: 1.3;
  font-size: .21rem;
  display: block;
  margin: 0 auto;
}
.footer-fixed .footer-tab .tabs .tab-item:hover {
  text-decoration: none;
}
.footer-fixed .footer-tab .tabs .tab-item.active {
  color: #22458a;
}

.tab-wrap .tab-menu {
  background: #22458a;
  display: table;
  width: 100%;
  position: fixed;
  top: 70px;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 999;
}
.tab-wrap .tab-menu .menu-list {
  display: table-cell;
  text-align: center;
  color: #fff;
  opacity: .7;
  transition: transform .35s;
  padding: .12rem;
  position: relative;
}
.tab-wrap .tab-menu .menu-list::before {
  content: " ";
  width: 45px;
  height: 3px;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: transparent;
}
.tab-wrap .tab-menu .menu-list.active, .tab-wrap .tab-menu .menu-list:hover, .tab-wrap .tab-menu .menu-list:active {
  opacity: 1;
  text-decoration: none;
  transition: transform .35s;
}
.tab-wrap .tab-menu .menu-list.active::before, .tab-wrap .tab-menu .menu-list:hover::before, .tab-wrap .tab-menu .menu-list:active::before {
  background: #fff;
  transition: all .5s;
}
.tab-wrap .tabs-content {
  padding-top: .4rem;
  padding-bottom: .2rem;
}
.tab-wrap .tabs-content .tab-list {
  background: #fff;
}
.tab-wrap .tabs-content .tab-list .tab-item {
  padding: .1rem;
  border-bottom: 1px solid #f5f5f5;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info {
  display: table;
  width: 100%;
  position: relative;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info:hover, .tab-wrap .tabs-content .tab-list .tab-item .t-info:active, .tab-wrap .tabs-content .tab-list .tab-item .t-info:focus {
  text-decoration: none;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info::before {
  font-family: FontAwesome;
  content: "\f105";
  position: absolute;
  right: 15px;
  top: 48%;
  transform: translateY(-48%);
  color: #c0c0c0;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span {
  display: table-cell;
  vertical-align: middle;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span + span {
  padding-left: .1rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.timer {
  padding: .06rem .1rem;
  border-radius: 35px;
  border: 1px solid #a7a7a7;
  width: .75rem;
  height: .35rem;
  text-align: center;
  font-size: 0.17rem;
  color: #4d4d4d;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.route {
  font-size: .18rem;
  padding: .07rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.pulled {
  border-color: #ff333d;
  color: #ff333d;
  font-size: .18rem;
  padding: .07rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.arrive {
  border-color: #ca8551;
  color: #ca8551;
  font-size: .18rem;
  padding: .07rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.countdown {
  font-size: .14rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.countdown em {
  font-size: .21rem;
  font-weight: 600;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.last {
  font-size: .16rem;
  padding: 0.03rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.stoboard {
  color: #000;
  font-size: .18rem;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info span.busroute {
  color: #c0c0c0;
  font-size: .14rem;
  text-align: right;
  padding-right: 30px;
  line-height: 1.5;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info.disabled {
  cursor: auto;
  opacity: .5;
  pointer-events: none;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info.disabled::after {
  content: "未行駛";
  position: absolute;
  top: 50%;
  color: red;
  left: 50%;
  transform: translate(-50%, -50%);
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info.disabled-en {
  cursor: auto;
  opacity: .5;
  pointer-events: none;
}
.tab-wrap .tabs-content .tab-list .tab-item .t-info.disabled-en::after {
  content: "Not in service";
  position: absolute;
  top: 50%;
  color: red;
  left: 50%;
  transform: translate(-50%, -50%);
}
.tab-wrap .tabs-content .tab-list .stopboard-item .t-info::before {
  content: " ";
}
.tab-wrap .tabs-content .timetable-list .tab-item {
  padding: .18rem .1rem;
}

.stoboard-wrap .tabs-content {
  padding-top: 0;
}

.btn-back {
  position: absolute;
  left: 0;
  line-height: 36px;
  font-size: 24px;
  color: #fff;
  z-index: 1;
  box-shadow: none;
}
.btn-back:hover, .btn-back:active, .btn-back:focus {
  color: #fff;
}

.btn-refresh {
  position: absolute;
  right: 0;
  line-height: 36px;
  font-size: 18px;
  color: #fff;
  z-index: 1;
  box-shadow: none;
}
.btn-refresh:hover, .btn-refresh:active, .btn-refresh:focus {
  color: #fff;
}

.refresh {
  position: absolute;
  line-height: 100px;
  bottom: 100%;
  text-align: center;
  width: 100%;
}

.loadmore {
  position: absolute;
  line-height: 20px;
  top: 100%;
  text-align: center;
  width: 100%;
}

@keyframes bounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-10px);
  }
  60% {
    transform: translateY(-5px);
  }
}
.loading-outer {
  z-index: 1030;
  text-align: center;
  width: 100%;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.animated {
  height: 100px;
  width: 100%;
  background-image: url(../images/loading.png);
  background-repeat: no-repeat;
  background-position: center center;
  padding-top: 95px;
  margin-bottom: 60px;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.bounce {
  animation: bounce 1.5s infinite linear;
}

.grade-w-roll::after {
  position: fixed;
  content: "";
  width: 100%;
  height: 100%;
  display: block;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
  top: 0;
}

.loading a {
  display: block;
  color: #999;
  border-radius: 0;
}
.loading a:active {
  outline: none;
}

.float-btn .btn {
  position: fixed;
  bottom: 60px;
  right: 15px;
  text-align: center;
  display: block;
  border-radius: 50%;
  padding: .08rem;
  transition: .2s;
  width: .56rem;
  height: .56rem;
  font-size: .24rem;
  background: #009bd0;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3), 2px 4px 7px rgba(0, 0, 0, 0.5);
  z-index: 5;
  color: #fff;
}

.ui-ticker {
  position: relative;
  background: transparent;
  overflow: hidden;
  background: #f5f5f5;
  padding: 0 .1rem;
}
.ui-ticker .icon-box {
  float: left;
  text-align: center;
  width: 20px;
}
.ui-ticker .icon-box i {
  font-size: 14px;
  color: #666;
}
.ui-ticker .text-box {
  margin: 0 auto;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.ui-ticker .text-box .ticker-slide {
  font-size: 14px;
}
.ui-ticker .text-box .ticker-slide .ticker-list {
  color: #666;
  font-size: 14px;
  font-family: "PingFangTC-Regular", DroidSansFallback, "Noto Sans TC", ヒラギノ角ゴ Pro, Hiragino Kaku Gothic Pro, Microsoft JhengHei;
}

.ui-radio-11 {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  padding: 0 0 0 14px;
  margin: 0 0 -1px 0;
  transition: background-color 0.2s linear;
}
.ui-radio-11:active {
  background: #eee;
}
.ui-radio-11 .radio-btn {
  position: relative;
  width: 22px;
  height: 22px;
  vertical-align: top;
  pointer-events: none;
  margin: 0 10px 0 0;
  display: flex;
  align-items: center;
  align-self: stretch;
  min-height: 44px;
}
.ui-radio-11 .radio-btn::before {
  content: '';
  position: absolute;
  border-radius: 100%;
  box-sizing: border-box;
  background-clip: padding-box;
  width: 22px;
  height: 22px;
  background: transparent;
  border: none;
  border-radius: 22px;
  left: 0;
}
.ui-radio-11 .radio-btn::after {
  content: '';
  top: 7px;
  left: 4px;
  opacity: 0;
  width: 12px;
  height: 7px;
  background: transparent;
  border: 2px solid #0076ff;
  border-top: none;
  border-right: none;
  border-radius: 0;
  top: 50%;
  transform: translate(0, -50%) rotate(-45deg);
}
.ui-radio-11 .radio-label {
  position: relative;
  white-space: nowrap;
  cursor: pointer;
  display: flex;
  width: 100%;
  padding: 12px 6px 12px 0;
  line-height: 1.2em;
  min-height: 44px;
  background-size: 100% 1px;
  background-repeat: no-repeat;
  background-position: bottom;
  background-image: linear-gradient(0deg, #eee, #eee 100%);
}
.ui-radio-11 .radio-input {
  position: absolute;
  left: 0;
  z-index: 1;
  cursor: pointer;
  opacity: 0;
  top: 0;
  bottom: 0;
  right: 0;
  appearance: none;
  transition: all .35s;
}
.ui-radio-11 .radio-input:checked + .radio-btn::after {
  opacity: 1;
  transition: all .35s;
}

.form-list {
  padding: 0;
  margin: 0;
  cursor: default;
  user-select: none;
  font-weight: 400;
  list-style-type: none;
  display: block;
  -webkit-overflow-scrolling: touch;
  overflow: hidden;
  background-image: linear-gradient(#eee, #eee), linear-gradient(#eee, #eee);
  background-size: 100% 1px, 100% 1px;
  background-repeat: no-repeat;
  background-position: bottom, top;
  border: none;
  background-color: #fff;
}

.outer .list .item.title {
  color: #999;
  padding: .1rem;
  overflow: hidden;
  background-image: linear-gradient(#eee, #eee), linear-gradient(#eee, #eee);
  background-size: 100% 1px, 100% 1px;
  background-repeat: no-repeat;
  background-position: bottom, top;
  border: none;
}
